Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::Mutex_var Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::Mutex_var:

[legend]
Collaboration diagram for RTCORBA::Mutex_var:

[legend]
List of all members.

## Public Methods
| Mutex_var (void)
| Mutex_var (Mutex_ptr p)
| Mutex_var (const Mutex_var &)
| ~Mutex_var (void)
Mutex_var & | operator= (Mutex_ptr)
Mutex_var & | operator= (const Mutex_var &)
Mutex_ptr | operator-> (void) const
| operator const Mutex_ptr & () const
| operator Mutex_ptr & ()
Mutex_ptr | in (void) const
Mutex_ptr & | inout (void)
Mutex_ptr & | out (void)
Mutex_ptr | _retn (void)
Mutex_ptr | ptr (void) const
## Static Public Methods
Mutex_ptr | tao_duplicate (Mutex_ptr)
void | tao_release (Mutex_ptr)
Mutex_ptr | tao_nil (void)
Mutex_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| Mutex_var (const TAO_Base_var &rhs)
Mutex_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
Mutex_ptr | ptr_

## Constructor & Destructor Documentation

RTCORBA::Mutex_var::Mutex_var | ( | void |  | ) |

RTCORBA::Mutex_var::Mutex_var | ( | Mutex_ptr | p | ) | `[inline]`

RTCORBA::Mutex_var::Mutex_var | ( | const Mutex_var & |  | ) |

RTCORBA::Mutex_var::~Mutex_var | ( | void |  | ) |

RTCORBA::Mutex_var::Mutex_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

Mutex_ptr RTCORBA::Mutex_var::_retn | ( | void |  | ) |

Mutex_ptr RTCORBA::Mutex_var::in | ( | void |  | ) | const

Mutex_ptr& RTCORBA::Mutex_var::inout | ( | void |  | ) |

RTCORBA::Mutex_var::operator const Mutex_ptr & | ( |  | ) | const

RTCORBA::Mutex_var::operator Mutex_ptr & | ( |  | ) |

Mutex_ptr RTCORBA::Mutex_var::operator-> | ( | void |  | ) | const

Mutex_var& RTCORBA::Mutex_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

Mutex_var& RTCORBA::Mutex_var::operator= | ( | const Mutex_var & |  | ) |

RTCORBA::Mutex_var & RTCORBA::Mutex_var::operator= | ( | Mutex_ptr | p | ) |

Mutex_ptr& RTCORBA::Mutex_var::out | ( | void |  | ) |

RTCORBA::Mutex_ptr RTCORBA::Mutex_var::ptr | ( | void |  | ) | const

Mutex_ptr RTCORBA::Mutex_var::tao_duplicate | ( | Mutex_ptr |  | ) | `[static]`

Mutex_ptr RTCORBA::Mutex_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

Mutex_ptr RTCORBA::Mutex_var::tao_nil | ( | void |  | ) | `[static]`

void RTCORBA::Mutex_var::tao_release | ( | Mutex_ptr |  | ) | `[static]`

CORBA::Object* RTCORBA::Mutex_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

Mutex_ptr RTCORBA::Mutex_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp